package cn.iocoder.yudao.module.order.convert.orderPickup;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderPickup.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderPickup.OrderPickupDO;

/**
 * 提货 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderPickupConvert {
    /*****转换MapStruct*****/
    OrderPickupConvert INSTANCE = Mappers.getMapper(OrderPickupConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderPickupDO convert(OrderPickupCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderPickupDO convert(OrderPickupUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderPickupBackVO convert(OrderPickupDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderPickupBackVO> convertList(List<OrderPickupDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderPickupBackVO> convertPage(PageResult<OrderPickupDO> page);
}
